"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Executes a callback on each item of the collection, waiting for each one to finish before executing the next one
 *
 * @param collection list of items to iterate
 * @param callback function to call for each item
 * @returns list of returned values of each callback
 */
async function asyncSecuential(collection, callback) {
    const res = [];
    for (const item of collection) {
        res.push(await callback(item));
    }
    return Promise.all(res);
}
exports.asyncSecuential = asyncSecuential;
